Subject: Re: [PATCH v2 1/2] commit: reorganise duplicate commit prompt strings

From: Junio C Hamano <[email-masked]>
Date: Wed, 07 Jul 2021 10:44:30 -0700

Đoàn Trần Công Danh  <[email-masked]> writes:

> However, I think we shouldn't take this route, because splitting likes this
> will make a translation lego. I can't speak for Junio, but from my
> observation, it's preferred to have 3 variables for 3 full-text, and
> we will pick the suitable text in each if-leg.

Yes, that is what I meant in my earlier suggestion.  More like

    char *hint_cleanup_all =
	_("Please enter the ... , and an empty message aborts the commit.\n");
    char *hint_cleanup_space =
	_("Please enter the ... if you want to.\n"
          "An empty message aborts the commit.\n");

    if (allow_empty_message) {
            hint_cleanup_all = _("...");
            hint_cleanup_space = _("...");
    }

    ... the if/elseif cascade in which calls to status_printf() are made
    ... using these variables

Thanks.